Subject: 23.1.50; Drag drop events in command history?

From: Sridhar Boovaraghavan <[email-masked]>
Date: Thu, 23 Jul 2009 16:03:32 -0400

If in Windows, I drag a file from explorer and drop it into Emacs, it
opens fine. However, would it make sense for an event to be registered
in the command history (like open-file xxx) so that when I kill that
buffer and want to re-open it, I can just recall that command?

Regards,
Sridhar

In GNU Emacs 23.1.50.1 (i386-mingw-nt6.0.6002)
 of 2009-07-22 on BOB-MARLEY
Windowing system distributor `Microsoft Corp.', version 6.0.6002
configured using `configure --with-gcc (3.4) --cflags -Id:/Utilities/GnuWin32/include'

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: ENU
  value of $XMODIFIERS: nil
  locale-coding-system: cp1252
  default-enable-multibyte-characters: t

Major mode: Message

Minor modes in effect:
  mml-mode: t
  gnus-message-citation-mode: t
  tooltip-mode: t
  tool-bar-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  global-auto-composition-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t
  abbrev-mode: t

Recent input:
<help-echo> <help-echo> <drag-n-drop> <escape> x r 
e c o v e r <tab> t h i u <tab> <backspace> <tab> <return> 
y e s <return> C-k C-k C-k C-x s y C-x <escape> <escape> 
<escape> p <escape> p C-u <escape> x g n u s <return> 
n e w s . g m a n e . o r g <return> ; j g m a n e 
. e m a c s . d e v e l <return> u SPC 1 0 0 0 0 <backspace> 
<return> C-x 1 <next> <next> <next> <next> <prior> 
<prior> <prior> <down-mouse-1> <mouse-2> n SPC C-x 
1 n C-x 1 n SPC SPC C-x 1 <escape> > a D r a g - d 
r o p SPC i n SPC t h e SPC c o m m a n d SPC h i s 
t o r y ? <C-left> <C-left> <C-left> <C-left> e v e 
n t s SPC <down> <C-left> <C-left> <C-left> C-k s r 
i d h a r _ m l @ y a h o o . c o m <down> <down> <help-echo> 
C-x 5 2 <switch-frame> <escape> x r e p o r t <tab> 
<return>

Recent messages:
`A k' to list killed groups
Checking new news...done
Setting up drafts group
No more newsgroups
Retrieving newsgroup: gmane.emacs.devel...
Creating nntp marks directory c:/Users/Sridhar/AppData/Roaming/News/marks/news.gmane.org/gmane/emacs/devel/
Bootstrapping marks for gmane.emacs.devel...done
Fetching headers for gmane.emacs.devel...done
Generating summary...done
Mark set

Load-path shadows:
d:/site-lisp/u-vm-color hides d:/site-lisp/vm/lisp/u-vm-color
d:/site-lisp/bbdb/lisp/bbdb-autoloads hides d:/emacs/lisp/bbdb-autoloads
d:/site-lisp/feedmail hides d:/emacs/lisp/mail/feedmail

-- 
Sridhar Boovaraghavan